<header class="header-site" role="banner">
    <div class="content">
        <div class="person">
            <img alt="My photo" src="{{ site.profile_picture }}">
        </div>

        <h1>
            <span class="site-title">[{{ site.username }}]</span>
        </h1>

        <div class="icons-home">
            {% if site.email %}
            <a class="test" aria-label="Send email" title="Send me a e-mail" href="mailto:{{ site.email }}">
                <span class="icon">
                    <i class="far fa-envelope fa-fw"></i>
                </span>
            </a>
            {% endif %}

            {% if site.twitter_username %}
            <a class="test" aria-label="My Twitter" title="Follow me on Twitter" target="_blank" href="https://twitter.com/{{ site.twitter_username }}">
                <span class="icon">
                    <i class="fab fa-twitter fa-fw"></i>
                </span>
            </a>
            {% endif %}

            {% if site.bluesky_handle %}
            <a class="test" aria-label="My BlueSky" title="Follow me on BlueSky" target="_blank" href="https://bsky.app/profile//{{ site.bluesky_handle }}">
                <span class="icon">
                    <i class="fab fa-bluesky fa-fw"></i>
                </span>
            </a>
            {% endif %}

            {% if site.mastodon_link %}
            <a class="test" aria-label="My Mastodon" title="Follow me on Mastodon" target="_blank" href="{{ site.mastodon_link }}">
                <span class="icon">
                    <i class="fab fa-mastodon fa-fw"></i>
                </span>
            </a>
            {% endif %}

            {% if site.github_username %}
            <a class="test" aria-label="My GitHub" title="Show my projects" target="_blank" href="https://github.com/{{ site.github_username }}">
                <span class="icon">
                    <i class="fab fa-github-alt fa-fw"></i>
                </span>
            </a>
            {% endif %}

            {% if site.linkedin_public_url %}
            <a class="test" aria-label="My LinkedIn" title="Show my LinkedIn profile" target="_blank" href="https://www.linkedin.com/in/{{ site.linkedin_public_url }}">
                <span class="icon">
                    <i class="fab fa-linkedin fa-fw"></i>
                </span>
            </a>
            {% endif %}

            <a class="test" aria-label="Use the RSS to get updated" title="Register for my RSS" target="_blank" href="{{ '/feed.xml' | prepend: relBase }}">
                <span class="icon">
                    <i class="fas fa-rss fa-fw"></i>
                </span>
            </a>
        </div>

        <ul class="recent">
            <p>Recent posts:</p>

            {% for post in site.posts limit: site.paginate %}
                <li>
                    <a title="Will take a my recent post" href="{{ post.url | prepend: relBase }}">
                        <h2 class="post-title" itemprop="name">{{ post.title }}</h2>
                    </a>
                </li>
            {% endfor %}
        </ul>

        {% if site.projects %}
        <ul class="recent">
            <p>Recent projects:</p>

            {% for project in site.projects limit: site.paginate %}
                <li>
                    <a title="Show my recent project" href="{{ project.url }}">
                        <h2 class="post-title" itemprop="name">{{ project.name }}</h2>
                    </a>
                </li>
            {% endfor %}
        </ul>
        {% endif %}
    </div>

    {% include menu-search.html %}
</header>
